Skip to main content

Free Rounds

Request Example

POST /serviceApi.php HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/serviceApi.php
{
"action" : "freeRounds",
"platform" : 8,
"partnerId" : 1,
"time" : "24-03-2021 11:03:04",
"data": {
"playerId" : "24429392",
"externalReferenceId" : "41d5-ae4a-48a83e6321a0",
"freeRoundValidity" : "13-04-2021 11:04:04",
"numberOfFreeRounds" : 40,
"betLevel" : 0,
"gameIds" : ["2","28"]
},
"hash" : "36435dd6e55d8926e2b97c4ae7450bee"
}

Property NameDescriptioTypeNotes
actionrequest typestring
platformplatform identifierintegerunique per platform
partnerIdidentifier of partner on the platforminteger
timerequest timestringdd-mm-yyyy hh:mm:ss
data[playerId]unique player identifierstring(100)unique per platform
data[externalReferenceId]unique free round reference identifierstring(100)unique per platform
data[freeRoundValidity]free round expire datestringdd-mm-yyyy hh:mm:ss
data[numberOfFreeRounds]number of free roundsinteger
data[betLevel]level of betintegerindex of bet in the bet's array
data[gameIds]list of game identifiersarrayonly first launched game gets free rounds
hashcalculated sha256 string (privateKey provided game provider’s side)stringhash string is calculated based on privateKey, time, and "data" in JSON string. Example $hash = hash("sha256", "privateKey15-02-2023 15:31:31json_encode(data)

Response Example

https://stg.otkgaming.com
{
"code" : 0,
"message": "ok",
"data" : {
"referenceId": "41d5-ae4a-48a83e6321a0"
}
}